pangomm: Pango::AttrFloat Class Reference

pangomm 2.28.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions
Pango::AttrFloat Class Reference

A Pango::AttrFloat is used to represent an attribute with a float or double value. More...

Inheritance diagram for Pango::AttrFloat:
[legend]
Collaboration diagram for Pango::AttrFloat:
[legend]

List of all members.

## Public Member Functions
| AttrFloat (const AttrFloat& src)
| AttrFloat (PangoAttrFloat* castitem, bool take_copy=true)
AttrFloat& | operator= (const AttrFloat& src)
double | get_value () const
| Gets the floating point value of the attribute.
void | set_value (const double&value)
| Sets the floating point value of the attribute.
PangoAttrFloat* | gobj ()
| Provides access to the underlying C GObject.
const PangoAttrFloat* | gobj () const
| Provides access to the underlying C GObject.
## Protected Member Functions
| AttrFloat ()
## Related Functions
(Note that these are not member functions.)
Pango::AttrFloat | wrap (PangoAttrFloat* object, bool take_copy=false)

## Detailed Description

A Pango::AttrFloat is used to represent an attribute with a float or double value.

## Constructor & Destructor Documentation

Pango::AttrFloat::AttrFloat | ( |  | ) | `[protected]`

Pango::AttrFloat::AttrFloat | ( | const AttrFloat& | src | ) |

Pango::AttrFloat::AttrFloat | ( | PangoAttrFloat * | castitem,
|  | bool | take_copy = `true`
| ) |  | `[explicit]`

## Member Function Documentation

double Pango::AttrFloat::get_value | ( |  | ) | const

Gets the floating point value of the attribute.

Returns:
  The floating point value of the attribute.

const PangoAttrFloat* Pango::AttrFloat::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Pango::Attribute.

PangoAttrFloat* Pango::AttrFloat::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Pango::Attribute.

AttrFloat& Pango::AttrFloat::operator= | ( | const AttrFloat& | src | ) |

void Pango::AttrFloat::set_value | ( | const double & | value | ) |

Sets the floating point value of the attribute.

Parameters:

  value | The new floating point value for the attribute.

## Friends And Related Function Documentation

Pango::AttrFloat wrap | ( | PangoAttrFloat * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

The documentation for this class was generated from the following file:

- pangomm/attributes.h